#import <Cocoa/Cocoa.h>
#import <QuartzCore/QuartzCore.h>
#import <OnFlAppFoundation/OnFlAppFoundation.h>

@interface NSWindow (NSWindow_ext)

- (IBAction) makeKeyAndActivate:(id)sender;
- (IBAction) resignKeyAndOrderOut:(id) sender;
- (IBAction) toggleWindowShown:(id) sender;

- (BOOL) borderless;
- (void) setBorderless:(BOOL) b;
- (BOOL) topMost;
- (void) setTopMost:(BOOL) b;
- (BOOL) bottomMost;
- (void) setBottomMost:(BOOL) b;
- (void) setFrame:(NSRect) frame;
@end

